Listar sessões
curl --request GET \
--url https://api.malga.io/v1/sessions \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "1b0c6960-702a-4074-95c2-eed2790c16a1",
"name": "Nome da sessão",
"status": "created",
"isActive": true,
"captchaEnabled": false,
"clientId": "1b0c6960-702a-4074-95c2-eed2790c16a1",
"orderId": null,
"amount": 100,
"currency": "BRL",
"capture": true,
"merchantId": "69aea152-ba70-49a3-a31c-044ac1651146",
"dueDate": "2022-10-25T09:28:45.000Z",
"description": "Promoção Black Friday",
"statementDescriptor": "LOJA JOAO",
"paymentMethods": [
{
"paymentType": "credit",
"installments": 1
}
],
"items": [
{
"id": "78601913-a176-4d71-b7e8-abb6fc49a340",
"name": "Item 1",
"description": "Descrição do item",
"unitPrice": 10000,
"quantity": 1,
"tangible": false
}
],
"createdAt": "2022-10-25T09:28:45.000Z",
"updatedAt": "2022-10-25T09:28:45.000Z",
"publicKey": "1b0c6960-702a-4074-95c2-eed2790c16a1",
"paymentLink": "https://checkout.malga.io/1b0c6960-702a-4074-95c2-eed2790c16a1",
"multiplePayments": {
"allow": false,
"maxPayments": null,
"paymentCount": 0,
"pendingCount": 0,
"status": "active"
}
}
],
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 10,
"totalPages": 1,
"currentPage": 1
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Sessions
Listar sessões
Consulte a lista paginada de sessões da sua conta na Malga, com filtros por status, data de criação e demais parâmetros de busca disponíveis.
GET
/
v1
/
sessions
Listar sessões
curl --request GET \
--url https://api.malga.io/v1/sessions \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.malga.io/v1/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "1b0c6960-702a-4074-95c2-eed2790c16a1",
"name": "Nome da sessão",
"status": "created",
"isActive": true,
"captchaEnabled": false,
"clientId": "1b0c6960-702a-4074-95c2-eed2790c16a1",
"orderId": null,
"amount": 100,
"currency": "BRL",
"capture": true,
"merchantId": "69aea152-ba70-49a3-a31c-044ac1651146",
"dueDate": "2022-10-25T09:28:45.000Z",
"description": "Promoção Black Friday",
"statementDescriptor": "LOJA JOAO",
"paymentMethods": [
{
"paymentType": "credit",
"installments": 1
}
],
"items": [
{
"id": "78601913-a176-4d71-b7e8-abb6fc49a340",
"name": "Item 1",
"description": "Descrição do item",
"unitPrice": 10000,
"quantity": 1,
"tangible": false
}
],
"createdAt": "2022-10-25T09:28:45.000Z",
"updatedAt": "2022-10-25T09:28:45.000Z",
"publicKey": "1b0c6960-702a-4074-95c2-eed2790c16a1",
"paymentLink": "https://checkout.malga.io/1b0c6960-702a-4074-95c2-eed2790c16a1",
"multiplePayments": {
"allow": false,
"maxPayments": null,
"paymentCount": 0,
"pendingCount": 0,
"status": "active"
}
}
],
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 10,
"totalPages": 1,
"currentPage": 1
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"error": {
"type": "api_error",
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Query Parameters
Was this page helpful?